#ifndef __STATES__GAMEPLAY_STATE_H__
#define __STATES__GAMEPLAY_STATE_H__

#include "BaseState.h"
#include "../EngineConfig.h"
#include <entt/entt.hpp>
#include <SDL2/SDL.h>
#include <string>

class GamePlayState : public BaseState
{
public:
    void Enter(Engine& engine) override;
    void Exit(Engine& engine) override;
    void HandleEvents(Engine& engine, SDL_Event& event) override;
    void Update(Engine& engine, float dt) override;
    void Render(Engine& engine) override;
    void RenderImGui(Engine& engine) override;
    
    std::string GetName() const override { return "GamePlayState"; }

private:

};

#endif